package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
public class SendSchoolmateCircleReq extends BaseRequest{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "type", value = "类型。1:分享圈,2:答题榜", required = true)
	private int type;
	@ApiModelProperty(name = "content", value = "同学圈文本", required = true)
	private String content;
	@ApiModelProperty(name = "material", value = "同学圈素材", required = true)
	private List<String> material;

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}

	public List<String> getMaterial() {
		return material;
	}

	public void setMaterial(List<String> material) {
		this.material = material;
	}
}
